<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Level 1</title>
</head>
<body>
    <script>

        // Ex 13
        function extractPersonBirthYear(personalCode) {
            const firstDigit = parseInt(personalCode.substr(0, 1));
            const birthYearDigits = parseInt(personalCode.substr(1, 2));

            if (firstDigit == 1 || firstDigit == 2) {
                return 1800 + birthYearDigits;
            } else if (firstDigit == 3 || firstDigit == 4) {
                return 1900 + birthYearDigits;
            } else if (firstDigit == 5 || firstDigit == 6) {
                return 2000 + birthYearDigits;
            } else {
                return -1;
            }
        }

        const personalCode1 = '61107121760';
        console.log('Person with code ' + personalCode1);
        console.log('Born: ' + extractPersonBirthYear(personalCode1));

        // Ex 14
        const extractPersonGender = function(personalCode) {
            const firstDigit = parseInt(personalCode.substr(0, 1));
            // if (firstDigit % 2 === 1) {
            //     return 'M';
            // } else {
            //     return 'F';
            // }
            return firstDigit % 2 === 1 ? 'M' : 'F';
        }

        const personalCode2 = '51107121760';
        console.log('Person with code ' + personalCode2);
        console.log('Gender: ' + extractPersonGender(personalCode2));
    </script>
</body>
</html>